---
id: base-segment
title: BaseSegment
pagination_label: BaseSegment
sidebar_label: BaseSegment
sidebar_class_name: pythonsdk
keywords: ['python', 'Python', 'sdk', 'BaseSegment', 'BaseSegment'] 
slug: /tools/sdk/python/v3/models/base-segment
tags: ['SDK', 'Software Development Kit', 'BaseSegment', 'BaseSegment']
---

# BaseSegment


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **str** | Segment's unique ID. | [optional] 
**name** | **str** | Segment's display name. | [optional] 
}

## Example

```python
from sailpoint.v3.models.base_segment import BaseSegment

base_segment = BaseSegment(
id='b009b6e3-b56d-41d9-8735-cb532ea0b017',
name='Test Segment'
)

```
[[Back to top]](#) 

